Module jdk.compiler
Package com.sun.source.doctree

## Interface AttributeTree

- All Superinterfaces:
    `DocTree`

      public interface AttributeTree
      extends DocTree

  A tree node for an attribute in an HTML element.
  Since:
    1.8

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `AttributeTree.ValueKind` | The kind of an attribute value.

    - ### Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

      `DocTree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Name` | `getName()` | Returns the name of the attribute.
    `List<? extends DocTree>` | `getValue()` | Returns the value of the attribute, or `null` if the kind is EMPTY.
    `AttributeTree.ValueKind` | `getValueKind()` | Returns the kind of the attribute.

    - ### Methods declared in interface com.sun.source.doctree.DocTree

      `accept, getKind`

- - ### Method Detail

    - #### getName

          Name getName()

      Returns the name of the attribute.
      Returns:
        the name of the attribute

    - #### getValueKind

          AttributeTree.ValueKind getValueKind()

      Returns the kind of the attribute.
      Returns:
        the kind of the attribute.

    - #### getValue

          List<? extends DocTree> getValue()

      Returns the value of the attribute, or `null` if the kind is EMPTY.
      Returns:
        the value of the attribute.